Ground-Truthing GUI 1.0

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
FileReader Class Reference

Reads the text file content. More...

`#include <filereader.h>`

## Public Member Functions
| FileReader (QString file_path)
| The constructor of the FileReader class. More...
virtual QString | readFile ()
| Reads one line of the file and returns it. More...
virtual QList< RectangleDraw * > | getList () const
| Returns a list of all the rectangles described in the text file. More...
virtual QString | getImagePath () const
| Returns the image filepath written in the file. More...
virtual Image * | getImage () const
| Returns the image. More...

## Detailed Description

Reads the text file content.

The FileReader provides the tools which allow to read a text file associated to a TIF image.

Author
  David Carmona-Moreno

Version
  1.0

Date
  2016/01/11 14:00:00

Bug:
  Not known bugs

Contacts: nikol.nosp@m.aos..nosp@m.arvan.nosp@m.itop.nosp@m.oulos.nosp@m.@epf.nosp@m.l.ch and david.nosp@m..car.nosp@m.mona-.nosp@m.more.nosp@m.no@ep.nosp@m.fl.c.nosp@m.h

Created on: Mon Jan 12 14:00:00 2016

## Constructor & Destructor Documentation

FileReader::FileReader | ( | QString | file_path | ) |
| inline

The constructor of the FileReader class.

Parameters

  file_path | The filepath of the text file we want to read

## Member Function Documentation

Image * FileReader::getImage | ( |  | ) | const
| virtual

Returns the image.

Returns
  The image

QString FileReader::getImagePath | ( |  | ) | const
| virtual

Returns the image filepath written in the file.

Returns
  The image filepath

QList< RectangleDraw * > FileReader::getList | ( |  | ) | const
| virtual

Returns a list of all the rectangles described in the text file.

Returns
  The rectangles list

QString FileReader::readFile | ( |  | ) |
| virtual

Reads one line of the file and returns it.

Returns
  The line

The documentation for this class was generated from the following files:

- /media/david/4A52443C52442F4F/Users/David/Desktop/Projet EPFL/Ground_Truthing_20_10_2015/filereader.h
- /media/david/4A52443C52442F4F/Users/David/Desktop/Projet EPFL/Ground_Truthing_20_10_2015/filereader.cpp